﻿using TravelCompanyContracts.BindingModels;
using TravelCompanyContracts.SearchModels;
using TravelCompanyContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TravelCompanyContracts.StoragesContracts
{
    public interface IPlaceStorage
    {
        List<PlaceViewModel> GetFullList();
        List<PlaceViewModel> GetFilteredList(PlaceSearchModel model);
        PlaceViewModel? GetElement(PlaceSearchModel model);
        PlaceViewModel? Insert(PlaceBindingModel model);
        PlaceViewModel? Update(PlaceBindingModel model);
        PlaceViewModel? Delete(PlaceBindingModel model);
    }
}
