﻿using TravelCompanyDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TravelCompanyContracts.ViewModels
{
    public class TravelViewModel : ITravelModel
    {
        public int Id { get; set; }
        [DisplayName("Название путешествия")]
        public string TravelName { get; set; } = string.Empty;
        [DisplayName("Дата начала путешествия")]
        public DateTime DateStart { get; set; } = DateTime.Now;
        [DisplayName("Описание путешествия")]
        public string TravelDescription { get; set; } = string.Empty;
        [DisplayName("Турист")]
        public int TouristId { get; set; }
    }
}
