﻿using TravelCompanyContracts.BindingModels;
using TravelCompanyContracts.SearchModels;
using TravelCompanyContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TravelCompanyContracts.BusinessLogicsContracts
{
    public interface IPlaceLogic
    {
        List<PlaceViewModel>? ReadList(PlaceSearchModel? model);
        PlaceViewModel? ReadElement(PlaceSearchModel model);
        bool Create(PlaceBindingModel model);
        bool Update(PlaceBindingModel model);
        bool Delete(PlaceBindingModel model);
    }
}
