﻿using TravelCompanyContracts.BindingModels;
using TravelCompanyContracts.SearchModels;
using TravelCompanyContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TravelCompanyContracts.StoragesContracts
{
    public interface IExcursionStorage
    {
        List<ExcursionViewModel> GetFullList();
        List<ExcursionViewModel> GetFilteredList(ExcursionSearchModel model);
        ExcursionViewModel? GetElement(ExcursionSearchModel model);
        ExcursionViewModel? Insert(ExcursionBindingModel model);
        ExcursionViewModel? Update(ExcursionBindingModel model);
        ExcursionViewModel? Delete(ExcursionBindingModel model);
    }
}
