﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels;
using TravelCompanyContracts.SearchModels;
using TravelCompanyContracts.ViewModels;

namespace TravelCompanyContracts.StoragesContracts
{
    public interface ITouristStorage
    {
        List<TouristViewModel> GetFullList();
        List<TouristViewModel> GetFilteredList(TouristSearchModel model);
        TouristViewModel? GetElement(TouristSearchModel model);
        TouristViewModel? Insert(TouristBindingModel model);
    }
}
