﻿using TravelCompanyDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TravelCompanyContracts.ViewModels
{
    public class PlaceViewModel : IPlaceModel
    {
        public int Id { get; set; }
        [DisplayName("Название места")]
        public string PlaceName { get; set; } = string.Empty;
        [DisplayName("Адресс места")]
        public string PlaceAddress { get; set; } = string.Empty;
        [DisplayName("Экскурсия")]
        public int ExcursionId { get; set; }
        [DisplayName("Турист")]
        public int TouristID { get; set; }
    }
}
